System.Data 2.0.0.0 System.ComponentModel.Component System.Data.IDbCommand To be added.

Represents an SQL statement or stored procedure to execute against a data source. Provides a base class for database-specific classes that represent commands.

- Constructor
  To be added.

  Constructs an instance of the object.

  2.0.0.0
- Method
  System.Void

  If there is nothing to cancel, nothing happens. However, if there is a command in process, and the attempt to cancel fails, no exception is generated.

  Attempts to cancels the execution of a .

  2.0.0.0
- Property
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  When you set the to StoredProcedure, you should set the property to the name of the stored procedure. The command executes this stored procedure when you call one of the Execute methods.

  Gets or sets the text command to run against the data source.

  2.0.0.0
- Property
  System.Int32 To be added.

  An is generated if the assigned property value is less than 0.

  Note to implementers, it is recommended that 0 means no timeout.

  Gets or sets the wait time before terminating the attempt to execute a command and generating an error.

  2.0.0.0
- Property
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.ComponentModel.DefaultValue(System.Data.CommandType.Text)
  System.Data.CommandType To be added.

  When you set the to StoredProcedure, you should set the property to the name of the stored procedure. The command executes this stored procedure when you call one of the Execute methods.

  Indicates or specifies how the property is interpreted.

  2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DefaultValue(null)
  System.Data.Common.DbConnection To be added. To be added.

  Gets or sets the used by this .

  2.0.0.0
- Method
  System.Data.Common.DbParameter To be added.

  Creates a new instance of a object.

  A object.

  2.0.0.0
- Method
  System.Data.Common.DbParameter To be added.

  Creates a new instance of a object.

  A object.

  2.0.0.0
- Property
  System.Data.Common.DbConnection To be added. To be added.

  Gets or sets the used by this .

  2.0.0.0
- Property
  System.Data.Common.DbParameterCollection To be added. To be added.

  Gets the collection of objects.

  2.0.0.0
- Property
  System.Data.Common.DbTransaction To be added. To be added.

  Gets or sets the within which this object executes.

  2.0.0.0
- Property
  System.ComponentModel.DesignOnly(true)
  System.ComponentModel.DefaultValue(true)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the command object should be visible in a customized interface control.

  2.0.0.0
- Method
  System.Data.Common.DbDataReader `` To be added.

  Executes the command text against the connection.

  A task representing the operation.

  An instance of . 2.0.0.0
- Method
  System.Int32

  You can use to perform catalog operations (for example, querying the structure of a database or creating database objects such as tables), or to change the data in a database by executing UPDATE, INSERT, or DELETE statements.

  Although does not return any rows, any output parameters or return values mapped to parameters are populated with data.

  For UPDATE, INSERT, and DELETE statements, the return value is the number of rows affected by the command. For all other types of statements, the return value is -1.

  Executes a SQL statement against a connection object.

  The number of rows affected.

  2.0.0.0
- Method
  System.Data.Common.DbDataReader To be added.

  Executes the against the , and returns an .

  A object.

  2.0.0.0
- Method
  System.Data.Common.DbDataReader `` To be added.

  Executes the against the , and returns an using one of the values.

  An object.

  One of the values. 2.0.0.0
- Method
  System.Object

  Use the method to retrieve a single value (for example, an aggregate value) from a database. This requires less code than using the method and performing the operations necessary to generate the single value using the data returned by a .

  If the first column of the first row in the result set is not found, a null reference (Nothing in Visual Basic) is returned. If the value in the database is null, the query returns DBNull.Value.

  Executes the query and returns the first column of the first row in the result set returned by the query. All other columns and rows are ignored.

  The first column of the first row in the result set.

  2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Data.Common.DbParameterCollection To be added. To be added.

  Gets the collection of objects. For more information on parameters, see Configuring Parameters and Parameter Data Types (ADO.NET).

  2.0.0.0
- Method
  System.Void

  If the property is set to TableDirect, Prepare does nothing. If is set to StoredProcedure, the call to Prepare should succeed, although it may result in a no-op.

  Creates a prepared (or compiled) version of the command on the data source.

  2.0.0.0
- Property
  2.0.0.0
  System.Data.IDbConnection To be added.

  For more information, see .

  Gets or sets the used by this instance of the .

- Method
  2.0.0.0
  System.Data.IDbDataParameter

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Creates a new instance of an object.

  An IDbDataParameter object.

- Method
  2.0.0.0
  System.Data.IDataReader

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Executes the against the and builds an .

  An object.

- Method
  2.0.0.0
  System.Data.IDataReader ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Executes the against the , and builds an using one of the values.

  An object.

  One of the values.
- Property
  2.0.0.0
  System.Data.IDataParameterCollection To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets the .

- Property
  2.0.0.0
  System.Data.IDbTransaction To be added.

  For more information, see .

  Gets or sets the within which this object executes.

- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.DefaultValue(null)
  System.ComponentModel.Browsable(false)
  System.Data.Common.DbTransaction To be added. To be added.

  Gets or sets the within which this object executes.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(System.Data.UpdateRowSource.Both)
  System.Data.UpdateRowSource To be added.

  Throws a if the value entered was not one of the values.

  Gets or sets how command results are applied to the when used by the Update method of a .

  2.0.0.0